package nl.iobyte.themepark.api.event.attraction;

import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.event.objects.AttractionEvent;
import org.bukkit.event.Cancellable;

public class AttractionPreStatusChangeEvent extends AttractionEvent<Status> implements Cancellable {

    private boolean b;

    public AttractionPreStatusChangeEvent(Attraction attraction, Status old, Status current) {
        super(attraction, old, current);
    }

    public boolean isCancelled() {
        return b;
    }

    public void setCancelled(boolean b) {
        this.b = b;
    }

}
